## ros-foxy-wireless-msgs 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(wireless_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(std_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
   msg/Connection.msg
   msg/Network.msg
   msg/Quality.msg
   msg/Scan.msg
   DEPENDENCIES std_msgs builtin_interfaces
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-foxy-wireless-msgs (1.0.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 01 May 2023 04:00:00 -0000

ros-foxy-wireless-msgs (1.0.0-1focal) focal; urgency=high

  * Minor fixes
  * Updated wireless_msgs for ROS2.
    Updated wireless_watcher for ROS2.
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Sun, 16 Oct 2022 04:00:00 -0000

ros-foxy-wireless-msgs (0.1.2-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 30 Nov 2021 05:00:00 -0000

ros-foxy-wireless-msgs (0.1.1-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Fri, 01 May 2020 04:00:00 -0000

ros-foxy-wireless-msgs (0.1.0-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 10 Oct 2019 04:00:00 -0000

ros-foxy-wireless-msgs (0.0.9-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 27 Nov 2018 05:00:00 -0000

ros-foxy-wireless-msgs (0.0.8-1focal) focal; urgency=high

  * Package format 2.
  * Contributors: Mike Purvis

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 07 Nov 2018 05:00:00 -0000

ros-foxy-wireless-msgs (0.0.7-1focal) focal; urgency=high

  * Added frequency to watcher node
  * Contributors: Alex Bencz

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 09 Sep 2015 04:00:00 -0000

ros-foxy-wireless-msgs (0.0.6-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 02 Sep 2015 04:00:00 -0000

ros-foxy-wireless-msgs (0.0.5-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 25 Aug 2015 04:00:00 -0000

ros-foxy-wireless-msgs (0.0.4-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 25 Jun 2015 04:00:00 -0000

ros-foxy-wireless-msgs (0.0.3-1focal) focal; urgency=high

  * Added ESSID and BSSID fields, use floats for bitrate
  * Contributors: Alex Bencz

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 17 Jun 2015 04:00:00 -0000

ros-foxy-wireless-msgs (0.0.2-1focal) focal; urgency=high



 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-foxy-wireless-msgs (0.0.1-1focal) focal; urgency=high

  * Catkinize wireless_msgs

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 17 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-wireless-msgs
Section: misc
Priority: optional
Maintainer: Roni Kreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-builtin-interfaces, ros-foxy-rosidl-default-generators, ros-foxy-std-msgs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-wireless-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-rosidl-default-runtime, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Messages for describing a wireless network such as bitrate, essid, and link quality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-wireless-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
